tigase.auth

## Class DefaultMechanismSelector

- java.lang.Object
- - tigase.auth.DefaultMechanismSelector

- All Implemented Interfaces:
    MechanismSelector

      public class DefaultMechanismSelector
      extends Object
      implements MechanismSelector

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Object>` | `settings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMechanismSelector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<String>` | `filterMechanisms(Enumeration<SaslServerFactory> serverFactories, XMPPResourceConnection session)` Method filters all available SASL mechanisms from `factories` with current `session` state.
    `void` | `init(Map<String,Object> settings)` Initialize selector.
    `protected boolean` | `isAllowedForDomain(String mechanismName, VHostItem vhost)`
    `protected boolean` | `match(SaslServerFactory factory, String mechanismName, XMPPResourceConnection session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### settings

          protected Map<String,Object> settings

  - ### Constructor Detail

    - #### DefaultMechanismSelector

          public DefaultMechanismSelector()

  - ### Method Detail

    - #### filterMechanisms

          public Collection<String> filterMechanisms(Enumeration<SaslServerFactory> serverFactories,
                                                     XMPPResourceConnection session)

      Description copied from interface: `MechanismSelector`
      Method filters all available SASL mechanisms from `factories` with current `session` state.
      Specified by:
        `filterMechanisms` in interface `MechanismSelector`
      Parameters:
        `serverFactories` - `SaslServerFactory` enumeration.
        `session` - current session
      Returns:
        collection of all SASL mechanisms available in given session (and current XMPP Stream).

    - #### init

          public void init(Map<String,Object> settings)

      Description copied from interface: `MechanismSelector`
      Initialize selector.
      Specified by:
        `init` in interface `MechanismSelector`
      Parameters:
        `settings` - settings of `SaslAuth` plugin.

    - #### isAllowedForDomain

          protected boolean isAllowedForDomain(String mechanismName,
                                               VHostItem vhost)

    - #### match

          protected boolean match(SaslServerFactory factory,
                                  String mechanismName,
                                  XMPPResourceConnection session)

Copyright © 2022 "Tigase, Inc.". All rights reserved.